Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451650 - Integration with Subversion does not work.
Summary: Integration with Subversion does not work.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: mantis
Version: 9
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Gianluca Sforna
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 13:43 UTC by Michael Möllney
Modified: 2008-10-19 15:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-19 15:59:49 UTC


Attachments (Terms of Use)

Description Michael Möllney 2008-06-16 13:43:27 UTC
Description of problem:
I want to integrate subvesion comit with mantis. This seems to be easy following
the description as you can find it in 
http://alt-tag.com/blog/archives/2006/11/integrating-mantis-and-subversion/

However at the point when to test mantis via the command line:
%> /path/to/php /path/to/mantis/core/checkin.php <<< “My web monkey fixed issue
#1337 by accident.”

this fails. There is no error code in the command line but there is also no entry.

If you look at checkin.php there should be plenty of comments if something
fails.... but there is no output at all..

Comment 1 Gianluca Sforna 2008-07-11 20:49:24 UTC
Hi, I just found some spare time to have a look at this (sorry for the delay).

In short, WORKSFORME. I have a local installation and I just copy/pasted the 2
config lines from the page you referenced:

$g_source_control_account = 'username';
$g_source_control_regexp = '/\b(?:bug|issue)\s*[#]{0,1}(\d+)\b/i';

to my config_inc.php and the example above works (of course assuming 'username'
is correctly set up and the issue # actually exists)

If you can't manage to make this work, I suggest you ask help in the mantis
forums at:
http://www.mantisbt.org/forums

and eventually report the issue in the upstream tracker.


Note You need to log in before you can comment on or make changes to this bug.